Loading...
Searching...
No Matches
mbedtls_block_cipher_context_t Struct Reference

`#include <block_cipher.h>`

Collaboration diagram for mbedtls_block_cipher_context_t:
[legend]

## Data Fields

mbedtls_block_cipher_id_t | private_id
union { |
unsigned dummy |
mbedtls_aes_context private_aes |
mbedtls_aria_context private_aria |
mbedtls_camellia_context private_camellia |
} | private_ctx

## Detailed Description

Definition at line 52 of file block_cipher.h.

## Field Documentation

## dummy

unsigned mbedtls_block_cipher_context_t::dummy

Definition at line 59 of file block_cipher.h.

## private_aes

mbedtls_aes_context mbedtls_block_cipher_context_t::private_aes

Definition at line 61 of file block_cipher.h.

## private_aria

mbedtls_aria_context mbedtls_block_cipher_context_t::private_aria

Definition at line 64 of file block_cipher.h.

## private_camellia

mbedtls_camellia_context mbedtls_block_cipher_context_t::private_camellia

Definition at line 67 of file block_cipher.h.

## [union]

union { ... } mbedtls_block_cipher_context_t::private_ctx

## private_id

mbedtls_block_cipher_id_t mbedtls_block_cipher_context_t::private_id

Definition at line 53 of file block_cipher.h.

The documentation for this struct was generated from the following file:

- block_cipher.h